PETSc version 3.15.5
Fix/Edit manual page

# DMSNESCheckFromOptions

Check the residual and Jacobian functions using the exact solution by outputting some diagnostic information

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMSNESCheckFromOptions(SNES snes, Vec u)

### Input Parameters

| snes | - the SNES object
| u | - representative SNES vector

Note: The user must call PetscDSSetExactSolution() beforehand

### Level

developer

### Location

src/snes/utils/dmplexsnes.c

### Examples

src/snes/tutorials/ex17.c.html
src/snes/tutorials/ex62.c.html
src/tao/tutorials/ex1.c.html
src/tao/tutorials/ex2.c.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages